## r-cran-rcppdate 0.0.2

=== DESCRIPTION ===
Package: RcppDate
Type: Package
Title: 'date' C++ Header Library for Date and Time Functionality
Version: 0.0.2
Date: 2021-01-29
Author: Dirk Eddelbuettel
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: A header-only C++ library is provided with support
 for dates, time zones, ISO weeks, Julian dates, and Islamic dates.
 'date' offers extensive date and time functionality for the C++11,
 C++14 and C++17 standards and was written by Howard Hinnant and released 
 under the MIT license. A slightly modified version has been accepted
 (along with 'tz.h') as part of C++20. This package regroups all
 header files from the upstream repository by Howard Hinnant so that
 other R packages can use them in their C++ code. At present, few of
 the types have explicit 'Rcpp' wrappers though these may be added as
 needed. 
License: GPL (>= 2)
Suggests: Rcpp
URL: https://github.com/eddelbuettel/rcppdate
BugReports: https://github.com/eddelbuettel/rcppdate/issues
NeedsCompilation: no
Packaged: 2021-01-29 14:26:59 UTC; edd
Repository: CRAN
Date/Publication: 2021-01-29 15:00:05 UTC

=== debian/changelog ===
r-cran-rcppdate (0.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 29 Jan 2021 09:41:20 -0600

r-cran-rcppdate (0.0.1-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #978135)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Dec 2020 09:24:07 -0600

=== debian/control ===
Source: r-cran-rcppdate
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r, r-cran-rcpp
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rcppdate
Vcs-Git: https://salsa.debian.org/edd/r-cran-rcppdate.git
Homepage: https://cran.r-project.org/package=rcppdate

Package: r-cran-rcppdate
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Description: GNU R package with 'Date' bindings
 The package provides the 'date' C++ library for use by R.  'date' is
 a C++ header library offering extensive date and time functionality
 for the C++11, C++14 and C++17 standards written by Howard Hinnant
 (and included in slightly modified form in C++20).

## r-cran-rcppdate 0.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: RcppDate
 Type: Package
 Title: 'date' C++ Header Library for Date and Time Functionality
-Version: 0.0.2
-Date: 2021-01-29
+Version: 0.0.3
+Date: 2021-05-19
 Author: Dirk Eddelbuettel
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A header-only C++ library is provided with support
@@ -17,9 +17,10 @@
  needed. 
 License: GPL (>= 2)
 Suggests: Rcpp
-URL: https://github.com/eddelbuettel/rcppdate
+URL: https://github.com/eddelbuettel/rcppdate,
+        https://dirk.eddelbuettel.com/code/rcpp.date.html
 BugReports: https://github.com/eddelbuettel/rcppdate/issues
 NeedsCompilation: no
-Packaged: 2021-01-29 14:26:59 UTC; edd
+Packaged: 2021-05-19 12:10:58 UTC; edd
 Repository: CRAN
-Date/Publication: 2021-01-29 15:00:05 UTC
+Date/Publication: 2021-05-19 12:30:02 UTC

=== debian/changelog ===
r-cran-rcppdate (0.0.3-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 16:54:24 -0500

r-cran-rcppdate (0.0.3-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 May 2021 16:37:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r, r-cran-rcpp
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-rcpp
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rcppdate
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rcppdate.git

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/RcppDate_([-\d\.]*)\.tar.gz

## r-cran-rcppdate 0.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: RcppDate
 Type: Package
 Title: 'date' C++ Header Library for Date and Time Functionality
-Version: 0.0.3
-Date: 2021-05-19
-Author: Dirk Eddelbuettel
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Version: 0.0.4
+Date: 2024-10-14
+Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
+                    comment = c(ORCID = "0000-0001-6419-907X")),
+             person("Howard", "Hinnant", role = "aut", comment = "author of 'date' library"))
 Description: A header-only C++ library is provided with support
  for dates, time zones, ISO weeks, Julian dates, and Islamic dates.
  'date' offers extensive date and time functionality for the C++11,
@@ -21,6 +22,9 @@
         https://dirk.eddelbuettel.com/code/rcpp.date.html
 BugReports: https://github.com/eddelbuettel/rcppdate/issues
 NeedsCompilation: no
-Packaged: 2021-05-19 12:10:58 UTC; edd
+Packaged: 2024-10-14 17:00:50 UTC; edd
+Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
+  Howard Hinnant [aut] (author of 'date' library)
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Repository: CRAN
-Date/Publication: 2021-05-19 12:30:02 UTC
+Date/Publication: 2024-10-14 20:20:02 UTC

=== debian/changelog ===
r-cran-rcppdate (0.0.4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 13)

  * debian/control: Correct Homepage field	(Closes: #1083264)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Oct 2024 17:24:45 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-rcpp
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-rcpp
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rcppdate
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rcppdate.git
-Homepage: https://cran.r-project.org/package=rcppdate
+Homepage: https://cran.r-project.org/package=RcppDate
 
 Package: r-cran-rcppdate
 Architecture: all

## r-cran-rcppdate 0.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: RcppDate
 Type: Package
 Title: 'date' C++ Header Library for Date and Time Functionality
-Version: 0.0.4
-Date: 2024-10-14
+Version: 0.0.5
+Date: 2025-03-06
 Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
                     comment = c(ORCID = "0000-0001-6419-907X")),
              person("Howard", "Hinnant", role = "aut", comment = "author of 'date' library"))
@@ -22,9 +22,9 @@
         https://dirk.eddelbuettel.com/code/rcpp.date.html
 BugReports: https://github.com/eddelbuettel/rcppdate/issues
 NeedsCompilation: no
-Packaged: 2024-10-14 17:00:50 UTC; edd
+Packaged: 2025-03-06 13:15:38 UTC; edd
 Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
   Howard Hinnant [aut] (author of 'date' library)
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Repository: CRAN
-Date/Publication: 2024-10-14 20:20:02 UTC
+Date/Publication: 2025-03-06 13:30:02 UTC

=== debian/changelog ===
r-cran-rcppdate (0.0.5-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 06 Mar 2025 08:26:33 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-rcpp
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.3), dh-r, r-cran-rcpp
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rcppdate
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rcppdate.git
 Homepage: https://cran.r-project.org/package=RcppDate

## r-cran-rcppdate 0.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: RcppDate
 Type: Package
 Title: 'date' C++ Header Library for Date and Time Functionality
-Version: 0.0.5
-Date: 2025-03-06
+Version: 0.0.6
+Date: 2025-05-29
 Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
                     comment = c(ORCID = "0000-0001-6419-907X")),
              person("Howard", "Hinnant", role = "aut", comment = "author of 'date' library"))
@@ -22,9 +22,10 @@
         https://dirk.eddelbuettel.com/code/rcpp.date.html
 BugReports: https://github.com/eddelbuettel/rcppdate/issues
 NeedsCompilation: no
-Packaged: 2025-03-06 13:15:38 UTC; edd
-Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
+Packaged: 2025-05-29 10:46:52 UTC; edd
+Author: Dirk Eddelbuettel [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-6419-907X>),
   Howard Hinnant [aut] (author of 'date' library)
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Repository: CRAN
-Date/Publication: 2025-03-06 13:30:02 UTC
+Date/Publication: 2025-05-29 14:50:09 UTC

=== debian/changelog ===
r-cran-rcppdate (0.0.6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Jun 2025 12:29:47 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.3), dh-r, r-cran-rcpp
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, r-cran-rcpp
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rcppdate
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rcppdate.git
 Homepage: https://cran.r-project.org/package=RcppDate

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rcppdate package
# Copyright 2003 - 2020 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R
